Bug 1121416 - /usr/share/licenses
Summary: /usr/share/licenses
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: filesystem
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-20 15:49 UTC by Remi Collet
Modified: 2014-12-06 10:26 UTC (History)
2 users (show)

Fixed In Version: filesystem-3.2-28.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-06 10:26:40 UTC


Attachments (Terms of Use)

Description Remi Collet 2014-07-20 15:49:03 UTC
Description of problem:
file /usr/share/licenses is not owned by any package


Usage of %license start to grow, resulting of lot of files in an unowned dir.

I think /usr/share/licenses should be owned by filesystem (as /usr/share/doc).


Notice, as lot of maintainers keep the same spec file in all branches, nice to have it fixed in F19+ (all versions where %license work)

Comment 1 Ondrej Vasik 2014-07-20 19:25:55 UTC
Yes, /usr/share/licenses ownership makes sense, thanks for heads-up.

Comment 2 Ondrej Vasik 2014-10-03 12:43:23 UTC
Closing Rawhide for now - it's done there since late July, will probably do a bodhi update for F19/F20/F21 to include more changes there.

Comment 3 Ralf Corsepius 2014-11-18 05:59:41 UTC
Reopening.

/usr/share/licenses is unowned in fedora 21

Comment 4 Ondrej Vasik 2014-11-18 12:30:27 UTC
Yes, I said Rawhide and late July, no word about Fedora 21 in my comment #2... However, it probably make sense to do the change there... Will do an update in bodhi.

Comment 5 Fedora Update System 2014-11-18 12:55:52 UTC
filesystem-3.2-28.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/filesystem-3.2-28.fc21

Comment 6 Ralf Corsepius 2014-11-18 13:24:45 UTC
(In reply to Ondrej Vasik from comment #4)
> Yes, I said Rawhide and late July, no word about Fedora 21 in my comment
> #2... However, it probably make sense to do the change there... Will do an
> update in bodhi.

I could have filed a new BZ, instead.

(In reply to Fedora Update System from comment #5)
> filesystem-3.2-28.fc21 has been submitted as an update for Fedora 21.
> https://admin.fedoraproject.org/updates/filesystem-3.2-28.fc21

Thanks, ... one unowned directory less - There probably are 100s more ;)

Comment 7 Ondrej Vasik 2014-11-18 14:59:29 UTC
And similar numbers of duplicate ownerships - sometimes even breaking installations (when the file access rights do differ). ;)
Sorry for not doing the update sooner, it just got off my todo-next-day. Now, it will not end-up on the ISOs for F21... but not a big deal.

Comment 8 Fedora Update System 2014-11-19 03:09:25 UTC
Package filesystem-3.2-28.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing filesystem-3.2-28.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15360/filesystem-3.2-28.fc21
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-12-06 10:26:40 UTC
filesystem-3.2-28.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.